<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Liste Techniciens</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<script type="text/javascript">
<!-- Affichage nouvelle fenêtre pour impression
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
//-->
</script>

</head>

<body>

<?php include ("../inc/entete.php"); ?>


<p><div align="center"><span class="titrepage">LISTE DES TECHNICIENS </span></div></p>

<?php
	$fic_imp = "tec_lsti.php";
	$url_add = "tec_maj.php?typ=add&code=";
	include_once ("../inc/formr.php"); 

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlsttec();

	$rech .= crestr_triord($tec_titre_col,"tec_codeage",FALSE,$limit);
	 
	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
	

	// *** Pagination
	if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages
	
	$pages = intval($numrows/$limit); // Nombre total de pages
	
	if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
	$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
		
	if(($pages < 1) || ($pages == 0)) 
	  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
	else 
	 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
		
	$first = $_GET['page'] + 1; // Premier résultat
		
	if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
		 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
	else
		$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
	// *** Fin de Pagination

	if($numrows == 0)
	{
		retpp();
	}
	 else
	{
		$rech = cree_strrechlsttec();

		$rech .= crestr_triord($tec_titre_col,"tec_codeage",TRUE,$limit);
	}

	// *** Fin de Chaîne de Recherche

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);

		
	// *** Affichage de la table

	echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst(TRUE,$tec_titre_col);
	echo "<th>".ucfirst("cliquer")."</th>\n";
		
	
	$i = 0;
	
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
         echo "<td>".$row["tec_codeage"]."</td>\n";
         echo "<td>".$row["tec_code"];

		// CREATION d'icône en cas de congés
		 if ((comp_date($row["tec_congd"],$datea) == TRUE) AND (comp_date($datea,$row["tec_congf"]) == TRUE))
		 {
		  	$lst_vac = TRUE;

		 	echo " <img src=\"../img/vac.png\" title =\"Congés du ".formatedate($row["tec_congd"])." au ".formatedate($row["tec_congf"]).".\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		}

		// CREATION d'icône si le technicien n'est plus salarié
		 if ($row["tec_out"] == TRUE)
		 {
		  	$lst_lic = TRUE;

		 	echo " <img src=\"../img/out.gif\" title =\"N'est plus salarié depuis le ".formatedate($row["tec_dateout"]).".\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		}

		 echo "</td>\n";
         echo "<td>".$row["tec_prenom"]."</td>\n";
         echo "<td>".$row["tec_nom"]."</td>\n";
         echo "<td>".$row["tec_telf"]."</td>\n";
         echo "<td>".$row["tec_telp"]."</td>\n";

		// CREATION lien dynamique sur email
		 echo "<td>";
         echo "<a href=\"mailto:".$row["tec_email"]."\">".$row["tec_email"]."</a>";
		 echo "</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)

		 echo "<td>";
		 echo "<div align=\"center\">";

		$lst_maj = TRUE;
		 echo "<a href=\"tec_maj.php?typ=edit&code=".$row["tec_code"]."&dep=".$row["tec_dep"]."\"><img src=\"../img/edit.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		$lst_dem = TRUE;
		 echo " ";
		 echo "<a href=\"tecdem_maj.php?ct=".$row["tec_code"]."&dep=".$row["tec_dep"]."\"><img src=\"../img/dem.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";

		if ($row["tec_out"] == FALSE)
		{
			$lst_del = TRUE;
			 echo " ";
			 echo "<a href=\"tec_maj.php?typ=del&code=".$row["tec_code"]."&dep=".$row["tec_dep"]."\"><img src=\"../img/del.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		}

		$lst_imp = TRUE;
		 echo " ";
		 $urlimp = "tec_maji.php?code=".$row["tec_code"];
		 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/print.gif\" title=\"Imprimer la fiche\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";

		 echo "</div>";
		 echo "</td>\n";

		 echo "</tr>\n";
		
		$i++;
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
		if(!empty($_GET['cx']))
			$url .= "&cx=".$_GET['cx']; // CREATION de 'cx'
	   
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
		if(!empty($_GET['cx']))
			$url .= "&cx=".$_GET['cx']; // CREATION de 'cx'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
		if(!empty($_GET['cx']))
			$url .= "&cx=".$_GET['cx']; // CREATION de 'cx'
	   
	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 

	// *** Fin de pagination de pied	

	mysql_close($conn);  
	
	$taille_piedla="";
	include_once ("../inc/piedla.php"); 
?>

<?php 
	include_once ("pied.php")
?>
